API Keys
API keys offer an alternate method of authentication to the Meltano Cloud API using a client ID and secret.
Objects
API Key
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The API key ID |
created | string | ISO 8601 timestamp | The instant when the API key was created |
lastModified | string | ISO 8601 timestamp | The instant when the API key was last modified |
name | string | The API key name | |
clientId | string | The API key client ID | |
profileId | string | The API key owner profile ID |
{
"id" : "d35016d5-6012-408a-ba8a-0d4831cbc38a",
"created" : "2026-10-12T10:13:35.084486",
"lastModified" : "2026-10-12T10:13:35.084486",
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220)",
"clientId" : "8KFY6w2eMsOp4LjoLnS9roWYqmYzfXQ5",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
Requests
View all API keys
GET /api/apikeys
Returns all API keys owned by the authenticated user profile.
Prerequisites
- The authenticated user must own a Meltano Cloud account
- The API key
{apikey-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys' -i -X GET
import requests
url = "https://app.meltano.com:443/api/apikeys"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key collection with HAL links.
{
"_embedded" : {
"apikeys" : [ {
"id" : "a148b718-c1ce-42a1-9fd4-4564b5a0af49",
"created" : "2026-10-12T10:13:33.800307",
"lastModified" : "2026-10-12T10:13:33.800308",
"name" : "default",
"clientId" : "Nvgy2VZxa5IqaMYWDwBiUiyyJKpaqhXN",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"accessToken" : "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCIsImtpZCI6IlJFRkNRamczTlRRMk16QTROalpHT0RjNFFUWkJOemMyTkRGR1FUSkVOVEEyUkRkR1JrSkRPQSJ9.eyJpc3MiOiJodHRwczovL2lkZW50aXR5Lm1hdGF0aWthLmNvbS8iLCJzdWIiOiJOdmd5MlZaeGE1SXFhTVlXRHdCaVVpeXlKS3BhcWhYTkBjbGllbnRzIiwiYXVkIjoiaHR0cHM6Ly9hcHAubWF0YXRpa2EuY29tL2FwaSIsImlhdCI6MTc5MTgwMDAxNCwiZXhwIjoxNzkxODg2NDE0LCJndHkiOiJjbGllbnQtY3JlZGVudGlhbHMiLCJhenAiOiJOdmd5MlZaeGE1SXFhTVlXRHdCaVVpeXlKS3BhcWhYTiJ9.R849hV3u20TevWqXKLgRL_fE8MhXmqm53tW1WeC_vRZJ6d3MNUBj2ymfWlRMOFfFiu06NV12DHNRZwt5mkFOwJPL5x-725KXIQm1VFp82-hAHlATLWf32dZuBSOVM94QoXfdOAa2qm_XQli9obXAAk3dYwL_MKFhUp-A2vId6CP024UvLWW_MQ51buaF7ox96ykFV7o5R5MqVfnbby4gK3Q27kCx-k7q9Cahy1muHFv0oQQfmsHIVfTDUOg45MrEzqCroN0ViYqRqX86s8gBn3zUVuXwn6UFK8JSaDzTgS2zQU6hDKlbeRS9Csm0uW2M59eXLxR2D5-rJLwgF3B9xQ",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/a148b718-c1ce-42a1-9fd4-4564b5a0af49"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/a148b718-c1ce-42a1-9fd4-4564b5a0af49"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/a148b718-c1ce-42a1-9fd4-4564b5a0af49"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}, {
"id" : "d35016d5-6012-408a-ba8a-0d4831cbc38a",
"created" : "2026-10-12T10:13:35.084486",
"lastModified" : "2026-10-12T10:13:35.084486",
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220)",
"clientId" : "8KFY6w2eMsOp4LjoLnS9roWYqmYzfXQ5",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 2,
"totalPages" : 1,
"number" : 0
}
}
View an API key
GET /api/apikeys/{apikey-id}
Returns the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
- The API key
{apikey-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a' -i -X GET
import requests
url = "https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "d35016d5-6012-408a-ba8a-0d4831cbc38a",
"created" : "2026-10-12T10:13:35.084486",
"lastModified" : "2026-10-12T10:13:35.084486",
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220)",
"clientId" : "8KFY6w2eMsOp4LjoLnS9roWYqmYzfXQ5",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
Initialise an API key
POST /api/apikeys
Initialises a new API key.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys' -i -X POST \
-H 'Content-Type: application/json'
import requests
url = "https://app.meltano.com:443/api/apikeys"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "d35016d5-6012-408a-ba8a-0d4831cbc38a",
"created" : "2026-10-12T10:13:34.957516224",
"lastModified" : "2026-10-12T10:13:34.957516603",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"create apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
}
}
}
Create an API key
PUT /api/apikeys/{apikey-id}
Creates the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Body
API key resource.
{
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220)"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220)"
}'
import requests
url = "https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
data = {
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220)"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
API key with HAL links.
{
"id" : "d35016d5-6012-408a-ba8a-0d4831cbc38a",
"created" : "2026-10-12T10:13:35.084485537",
"lastModified" : "2026-10-12T10:13:35.084486284",
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220)",
"clientId" : "8KFY6w2eMsOp4LjoLnS9roWYqmYzfXQ5",
"clientSecret" : "pJINmeTFAybT6adcwWSd2Qk9Jr9ZU-D7RTKUQV4bTgoAzogaF3Bm738wauwYvHa8",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
Update an API key
PUT /api/apikeys/{apikey-id}
Updates the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
Body
API key resource.
{
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220) (updated)"
}
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220) (updated)"
}'
import requests
url = "https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
data = {
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220) (updated)"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
200 OK
API key with HAL links.
{
"id" : "d35016d5-6012-408a-ba8a-0d4831cbc38a",
"created" : "2026-10-12T10:13:35.084486",
"lastModified" : "2026-10-12T10:13:36.369562839",
"name" : "SIT-generated api key (2026-10-12T10:13:35.020732220) (updated)",
"clientId" : "8KFY6w2eMsOp4LjoLnS9roWYqmYzfXQ5",
"profileId" : "auth0|6a21dc7aa1db2e036a222942",
"_links" : {
"self" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"update apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"delete apikey" : {
"href" : "https://app.meltano.com/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
},
"profile" : {
"href" : "https://app.meltano.com/api/profiles/auth0%7C6a21dc7aa1db2e036a222942"
}
}
}
Delete an API key
DELETE /api/apikeys/{apikey-id}
Deletes the API key {apikey-id}.
Prerequisites
- The authenticated user must own a Meltano Cloud account
- The API key
{apikey-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a' -i -X DELETE
import requests
url = "https://app.meltano.com:443/api/apikeys/d35016d5-6012-408a-ba8a-0d4831cbc38a"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.